{
  "codeName" : "UIPART_0013",
  "controlType" : "SEARCHFORM",
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSSEARCHFORMS/UIPART_0013.json",
  "hookEventNames" : [ "SEARCH", "LOAD", "SAVE" ],
  "logicName" : "搜索表单",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdeform_searchforms/UIPART_0013",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "SEARCH;LOAD;SAVE",
    "logicTag" : "searchform",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_searchform",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEFormItems" : [ {
    "id" : "n_ibizordername_like",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "id" : "n_orderstate_eq",
    "dataType" : 25,
    "createDV" : "10",
    "getPSAppDEField" : {
      "name" : "ORDERSTATE",
      "codeName" : "OrderState"
    }
  }, {
    "id" : "n_ordertime_gt",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "ORDERTIME",
      "codeName" : "OrderTime"
    }
  }, {
    "id" : "n_ordertime_lt",
    "dataType" : 5,
    "createDVT" : "CURTIME",
    "getPSAppDEField" : {
      "name" : "ORDERTIME",
      "codeName" : "OrderTime"
    }
  } ],
  "getPSDEFormPages" : [ {
    "getCapPSLanguageRes" : {
      "lanResTag" : "CONTROL.DEFORM.IBIZORDER.UIPART_0013.FORMPAGE.FORMPAGE1",
      "mOSFilePath" : "pslanguageres/Auto1743",
      "rTMOSFilePath" : "pslanguageres/Auto1743"
    },
    "caption" : "常规",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "mOSFilePath" : "psdeformdetail_formpages/formpage1",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZORDER.UIPART_0013.FORMITEM.N_IBIZORDERNAME_LIKE",
        "mOSFilePath" : "pslanguageres/Auto672",
        "rTMOSFilePath" : "pslanguageres/Auto672"
      },
      "caption" : "订单名称",
      "codeName" : "n_ibizordername_like",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "mOSFilePath" : "psdeformdetail_formitems/n_ibizordername_like",
      "name" : "n_ibizordername_like",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "editorWidth" : 100.0,
        "name" : "n_ibizordername_like"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "rTMOSFilePath" : "psdeformdetail_formitems/n_ibizordername_like",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZORDER.UIPART_0013.FORMITEM.N_ORDERSTATE_EQ",
        "mOSFilePath" : "pslanguageres/Auto125",
        "rTMOSFilePath" : "pslanguageres/Auto125"
      },
      "caption" : "订单状态",
      "codeName" : "n_orderstate_eq",
      "createDV" : "10",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "mOSFilePath" : "psdeformdetail_formitems/n_orderstate_eq",
      "name" : "n_orderstate_eq",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ORDERSTATE",
        "codeName" : "OrderState"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST",
        "editorWidth" : 100.0,
        "name" : "n_orderstate_eq",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
        },
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "rTMOSFilePath" : "psdeformdetail_formitems/n_orderstate_eq",
      "allowEmpty" : true,
      "needCodeListConfig" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZORDER.UIPART_0013.FORMITEM.N_ORDERTIME_GT",
        "mOSFilePath" : "pslanguageres/Auto1643",
        "rTMOSFilePath" : "pslanguageres/Auto1643"
      },
      "caption" : "订单时间从",
      "codeName" : "n_ordertime_gt",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "mOSFilePath" : "psdeformdetail_formitems/n_ordertime_gt",
      "name" : "n_ordertime_gt",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ORDERTIME",
        "codeName" : "OrderTime"
      },
      "getPSEditor" : {
        "dateTimeFormat" : "YYYY-MM-DD",
        "editorParams" : {
          "TIMEFMT" : "YYYY-MM-DD"
        },
        "editorType" : "DATEPICKEREX_NOTIME",
        "editorWidth" : 100.0,
        "name" : "n_ordertime_gt"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "rTMOSFilePath" : "psdeformdetail_formitems/n_ordertime_gt",
      "valueFormat" : "YYYY-MM-DD",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZORDER.UIPART_0013.FORMITEM.N_ORDERTIME_LT",
        "mOSFilePath" : "pslanguageres/Auto1770",
        "rTMOSFilePath" : "pslanguageres/Auto1770"
      },
      "caption" : "到",
      "codeName" : "n_ordertime_lt",
      "createDVT" : "CURTIME",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 24,
      "mOSFilePath" : "psdeformdetail_formitems/n_ordertime_lt",
      "name" : "n_ordertime_lt",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ORDERTIME",
        "codeName" : "OrderTime"
      },
      "getPSEditor" : {
        "dateTimeFormat" : "YYYY-MM-DD",
        "editorParams" : {
          "TIMEFMT" : "YYYY-MM-DD"
        },
        "editorType" : "DATEPICKEREX_NOTIME",
        "editorWidth" : 100.0,
        "name" : "n_ordertime_lt"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "rTMOSFilePath" : "psdeformdetail_formitems/n_ordertime_lt",
      "valueFormat" : "YYYY-MM-DD",
      "allowEmpty" : true,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "dir" : "row",
      "layout" : "FLEX",
      "vAlign" : "center"
    },
    "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderSF1GridView/psappviewctrls/searchform",
  "searchButtonStyle" : "DEFAULT",
  "tabHeaderPos" : "TOP",
  "enableAdvanceSearch" : false,
  "enableAutoSearch" : false,
  "enableFilterSave" : false,
  "noTabHeader" : true,
  "modelid" : "52f117fcd555f8ffa5c8e106d6de6a06",
  "modeltype" : "PSDEFORM_SEARCHFORM"
}